' Attribut, das Compiler auffordert, den Code auf CLS-Kompatibilität zu prüfen
' Beachten Sie, dass die Attribute in Visual Basic nicht wie in C# in eckigen  
' Klammern, sondern in spitzen Klammern stehen
<Assembly: CLSCompliant(True)> 

Public Class Point

    Public X As Integer
    Public Y As Integer

    Public Sub New()
        X = 0
        Y = 0
    End Sub

    Public Sub New(ByVal xValue As Integer, ByVal yValue As Integer)
        X = xValue
        Y = yValue
    End Sub

    Public Overrides Function ToString() As String

        ToString = "(X=" & X & ", Y=" & Y & ")"

    End Function

End Class
